﻿html {
    position: relative;
    min-height: 100%;
    font-size: 14px;
}

body {
    background-color: aliceblue;
}

.bg-body {
    background-color: aliceblue !important;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

/* table 外框圆角 */
div.dataTables_wrapper, div.dataTables_scroll {
    border-radius: 8px;
    overflow: hidden;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.vh75 {
    height: 75vh;
}
.vh65 {
    height: 65vh;
}

.popover {
    max-width: none !important; /* 移除默认限制 */
    width: auto;
}
.PopoverContent {
    max-width: 600px; 
    max-height: 400px; 
    overflow: auto; 
    white-space: pre-wrap; 
}

.BgTransparentDark {
    background-color: rgba(0, 0, 0, 0.25);
}

/* v.3 */
.fancybox-content {
    max-width: 95% !important;
    width: 95% !important;
    margin: 0 auto !important;
    z-index: 9999 !important;
}
.fancybox-slide {
    padding: 0 !important;
}

.Pointer{
    cursor:pointer;
}

.clear {
    clear: both;
}

.fontSm {
    font-size: 0.8em;
}

.PrintShow {
    display: none;
}

.EmptyHide:empty {
    display: none;
}

.FancyboxRound .fancybox-slide--iframe .fancybox-content {
    overflow: hidden;
    border-radius: 10px !important;
}

.fancybox-toolbar .fancybox-button--close {
    width: 32px;
    height: 32px;
    padding: 6px;
}
    .fancybox-toolbar .fancybox-button--close svg {
        width: 16px;
        height: 16px;
    }

@media print {
    .no-print, .no-print * {
        visibility: hidden !important;
        display: none !important;
    }
    .PrintHide {
        display: none !important;
    }

    .PrintShow {
        display: block !important;
    }
    .PrintBreak {
        page-break-inside: auto;
        break-inside: auto;
    }
}